clang 8.0.0

Public Types | Public Member Functions | Static Public Member Functions | Friends | List of all members
clang::DependentDiagnostic Class Reference

A dependently-generated diagnostic. More...

`#include "clang/AST/DependentDiagnostic.h"`

Collaboration diagram for clang::DependentDiagnostic:
[legend]

## Public Types
enum | AccessNonce { Access = 0 }

## Public Member Functions
unsigned | getKind () const
bool | isAccessToMember () const
AccessSpecifier | getAccess () const
SourceLocation | getAccessLoc () const
NamedDecl * | getAccessTarget () const
NamedDecl * | getAccessNamingClass () const
QualType | getAccessBaseObjectType () const
const PartialDiagnostic & | getDiagnostic () const

## Static Public Member Functions
static DependentDiagnostic * | Create (ASTContext &Context, DeclContext *Parent, AccessNonce _, SourceLocation Loc, bool IsMemberAccess, AccessSpecifier AS, NamedDecl *TargetDecl, CXXRecordDecl *NamingClass, QualType BaseObjectType, const PartialDiagnostic &PDiag)

## Friends
class | DeclContext::ddiag_iterator
class | DependentStoredDeclsMap

## Detailed Description

A dependently-generated diagnostic.

Definition at line 37 of file DependentDiagnostic.h.

## Member Enumeration Documentation

## ◆ AccessNonce

enum clang::DependentDiagnostic::AccessNonce

Enumerator
Access |

Definition at line 39 of file DependentDiagnostic.h.

## Member Function Documentation

## ◆ Create()

static DependentDiagnostic* clang::DependentDiagnostic::Create | ( | ASTContext & | Context,
|  | DeclContext * | Parent,
|  | AccessNonce | _,
|  | SourceLocation | Loc,
|  | bool | IsMemberAccess,
|  | AccessSpecifier | AS,
|  | NamedDecl * | TargetDecl,
|  | CXXRecordDecl * | NamingClass,
|  | QualType | BaseObjectType,
|  | const PartialDiagnostic & | PDiag
| ) |  |
| inline static

Definition at line 41 of file DependentDiagnostic.h.

## ◆ getAccess()

AccessSpecifier clang::DependentDiagnostic::getAccess | ( |  | ) | const
| inline

Definition at line 70 of file DependentDiagnostic.h.

References Access, and getKind().

Referenced by clang::Sema::HandleDependentAccessCheck().

## ◆ getAccessBaseObjectType()

QualType clang::DependentDiagnostic::getAccessBaseObjectType | ( |  | ) | const
| inline

Definition at line 90 of file DependentDiagnostic.h.

References Access, clang::QualType::getFromOpaquePtr(), and getKind().

Referenced by clang::Sema::HandleDependentAccessCheck().

## ◆ getAccessLoc()

SourceLocation clang::DependentDiagnostic::getAccessLoc | ( |  | ) | const
| inline

Definition at line 75 of file DependentDiagnostic.h.

References Access, clang::SourceLocation::getFromRawEncoding(), and getKind().

Referenced by clang::Sema::HandleDependentAccessCheck().

## ◆ getAccessNamingClass()

NamedDecl* clang::DependentDiagnostic::getAccessNamingClass | ( |  | ) | const
| inline

Definition at line 85 of file DependentDiagnostic.h.

References Access, and getKind().

Referenced by clang::Sema::HandleDependentAccessCheck().

## ◆ getAccessTarget()

NamedDecl* clang::DependentDiagnostic::getAccessTarget | ( |  | ) | const
| inline

Definition at line 80 of file DependentDiagnostic.h.

References Access, and getKind().

Referenced by clang::Sema::HandleDependentAccessCheck().

## ◆ getDiagnostic()

const PartialDiagnostic& clang::DependentDiagnostic::getDiagnostic | ( |  | ) | const
| inline

Definition at line 95 of file DependentDiagnostic.h.

## ◆ getKind()

unsigned clang::DependentDiagnostic::getKind | ( |  | ) | const
| inline

Definition at line 61 of file DependentDiagnostic.h.

References Access.

Referenced by getAccess(), getAccessBaseObjectType(), getAccessLoc(), getAccessNamingClass(), getAccessTarget(), and isAccessToMember().

## ◆ isAccessToMember()

bool clang::DependentDiagnostic::isAccessToMember | ( |  | ) | const
| inline

Definition at line 65 of file DependentDiagnostic.h.

References Access, and getKind().

Referenced by clang::Sema::HandleDependentAccessCheck().

## Friends And Related Function Documentation

## ◆ DeclContext::ddiag_iterator

friend class DeclContext::ddiag_iterator
| friend

Definition at line 100 of file DependentDiagnostic.h.

## ◆ DependentStoredDeclsMap

friend class DependentStoredDeclsMap
| friend

Definition at line 101 of file DependentDiagnostic.h.

## Member Data Documentation

## ◆ Access

unsigned clang::DependentDiagnostic::Access

Definition at line 117 of file DependentDiagnostic.h.

Referenced by getAccess(), getAccessBaseObjectType(), getAccessLoc(), getAccessNamingClass(), getAccessTarget(), getKind(), isAccessToMember(), and clang::Sema::PerformDependentDiagnostics().

## ◆ BaseObjectType

void* clang::DependentDiagnostic::BaseObjectType

Definition at line 121 of file DependentDiagnostic.h.

## ◆ IsMember

unsigned clang::DependentDiagnostic::IsMember

Definition at line 118 of file DependentDiagnostic.h.

## ◆ Loc

unsigned clang::DependentDiagnostic::Loc

Definition at line 116 of file DependentDiagnostic.h.

## ◆ NamingClass

CXXRecordDecl* clang::DependentDiagnostic::NamingClass

Definition at line 120 of file DependentDiagnostic.h.

## ◆ TargetDecl

NamedDecl* clang::DependentDiagnostic::TargetDecl

Definition at line 119 of file DependentDiagnostic.h.

The documentation for this class was generated from the following files:

- include/clang/AST/DependentDiagnostic.h
- lib/AST/DeclBase.cpp